<?php

/**
 *
 * 签署方类
 *
 */
class Signatory implements JsonSerializable {

    private $id;                    // 签署方ID
    private $tenantType;            // 签署方类型
    private $tenantName;            // 签署方名称
    private $status;                // 签署方状态
    private $complateTime;          // 签署方签署完成时间
    private $receiver;              // 接收人
    private $serialNo;              // 签署顺序
    private $category;              // 签署方业务分类
    private $actions;               // 签署动作（签署流程）
    private $attachments;           // 附件要求；用于指定用户签署时上传附件
    private $userAuthInfo;          // 用户认证信息
    private $stampers;
    private $hasLocation;
    private $link;
    private $delaySet;
    private $rejectInvalidReason;
    private $sealStatisticsInfos;

    public function jsonSerialize() {
        $data = [];
        foreach ($this as $key=>$val){
            if ($val !== null) $data[$key] = $val;
        }
        if(sizeof($data) < 1){
            return null;
        }
        return $data;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getTenantType()
    {
        return $this->tenantType;
    }

    /**
     * @param mixed $tenantType
     */
    public function setTenantType($tenantType)
    {
        $this->tenantType = $tenantType;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getReceiver()
    {
        return $this->receiver;
    }

    /**
     * @param mixed $receiver
     */
    public function setReceiver($receiver)
    {
        $this->receiver = $receiver;
    }

    /**
     * @return mixed
     */
    public function getSerialNo()
    {
        return $this->serialNo;
    }

    /**
     * @param mixed $serialNo
     */
    public function setSerialNo($serialNo)
    {
        $this->serialNo = $serialNo;
    }

    /**
     * @return mixed
     */
    public function getActions()
    {
        return $this->actions;
    }

    /**
     * @param mixed $actions
     */
    public function setActions($actions)
    {
        $this->actions = $actions;
    }

    /**
     * @return mixed
     */
    public function getAttachments()
    {
        return $this->attachments;
    }

    /**
     * @param mixed $attachments
     */
    public function setAttachments($attachments)
    {
        $this->attachments = $attachments;
    }

    /**
     * @return mixed
     */
    public function getUserAuthInfo()
    {
        return $this->userAuthInfo;
    }

    /**
     * @param mixed $userAuthInfo
     */
    public function setUserAuthInfo($userAuthInfo)
    {
        $this->userAuthInfo = $userAuthInfo;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }

    /**
     * @return mixed
     */
    public function getComplateTime()
    {
        return $this->complateTime;
    }

    /**
     * @param mixed $complateTime
     */
    public function setComplateTime($complateTime)
    {
        $this->complateTime = $complateTime;
    }

    /**
     * @return mixed
     */
    public function getCategory()
    {
        return $this->category;
    }

    /**
     * @param mixed $category
     */
    public function setCategory($category)
    {
        $this->category = $category;
    }

    /**
     * @return mixed
     */
    public function getStampers()
    {
        return $this->stampers;
    }

    /**
     * @param mixed $stampers
     */
    public function setStampers($stampers)
    {
        $this->stampers = $stampers;
    }

    /**
     * @return mixed
     */
    public function getHasLocation()
    {
        return $this->hasLocation;
    }

    /**
     * @param mixed $hasLocation
     */
    public function setHasLocation($hasLocation)
    {
        $this->hasLocation = $hasLocation;
    }

    /**
     * @return mixed
     */
    public function getLink()
    {
        return $this->link;
    }

    /**
     * @param mixed $link
     */
    public function setLink($link)
    {
        $this->link = $link;
    }

    /**
     * @return mixed
     */
    public function getDelaySet()
    {
        return $this->delaySet;
    }

    /**
     * @param mixed $delaySet
     */
    public function setDelaySet($delaySet)
    {
        $this->delaySet = $delaySet;
    }

    /**
     * @return mixed
     */
    public function getRejectInvalidReason()
    {
        return $this->rejectInvalidReason;
    }

    /**
     * @param mixed $rejectInvalidReason
     */
    public function setRejectInvalidReason($rejectInvalidReason)
    {
        $this->rejectInvalidReason = $rejectInvalidReason;
    }
    /**
     * @return mixed
     */
    public function getSealStatisticsInfos()
    {
        return $this->sealStatisticsInfos;
    }

    /**
     * @param mixed $sealStatisticsInfos
     */
    public function setSealStatisticsInfos($sealStatisticsInfos)
    {
        $this->sealStatisticsInfos = $sealStatisticsInfos;
    }


}