<?php

class UserAuth implements JsonSerializable {

    private $mode;          // 认证模式
    private $user;          // 用户信息
    private $username;      // 指定用户姓名
    private $idCardNo;      // 指定用户身份证号码
    private $bankNo;        // 指定银行卡号
    private $bankMobile;    // 指定银行卡预留手机号
    private $callbackUrl;   // 指定回调地址
    private $callbackPage;  // 跳转地址
    private $manualSwitch;  // 人工审核开关
    private $paperType;
    private $otherModes;    // 降级认证方式可选项
    private $modifyFields;  //认证可修改项

    public function jsonSerialize() {
        $data = [];
        foreach ($this as $key=>$val){
            if ($val !== null) $data[$key] = $val;
        }
        if(sizeof($data) < 1){
            return null;
        }
        return $data;
    }

    /**
     * @return mixed
     */
    public function getMode()
    {
        return $this->mode;
    }

    /**
     * @param mixed $mode
     */
    public function setMode($mode)
    {
        $this->mode = $mode;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getUsername()
    {
        return $this->username;
    }

    /**
     * @param mixed $username
     */
    public function setUsername($username)
    {
        $this->username = $username;
    }

    /**
     * @return mixed
     */
    public function getIdCardNo()
    {
        return $this->idCardNo;
    }

    /**
     * @param mixed $idCardNo
     */
    public function setIdCardNo($idCardNo)
    {
        $this->idCardNo = $idCardNo;
    }

    /**
     * @return mixed
     */
    public function getBankNo()
    {
        return $this->bankNo;
    }

    /**
     * @param mixed $bankNo
     */
    public function setBankNo($bankNo)
    {
        $this->bankNo = $bankNo;
    }

    /**
     * @return mixed
     */
    public function getBankMobile()
    {
        return $this->bankMobile;
    }

    /**
     * @param mixed $bankMobile
     */
    public function setBankMobile($bankMobile)
    {
        $this->bankMobile = $bankMobile;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getCallbackPage()
    {
        return $this->callbackPage;
    }

    /**
     * @param mixed $callbackPage
     */
    public function setCallbackPage($callbackPage)
    {
        $this->callbackPage = $callbackPage;
    }

    /**
     * @return mixed
     */
    public function getManualSwitch()
    {
        return $this->manualSwitch;
    }

    /**
     * @param mixed $manualSwitch
     */
    public function setManualSwitch($manualSwitch)
    {
        $this->manualSwitch = $manualSwitch;
    }

    /**
     * @return mixed
     */
    public function getPaperType()
    {
        return $this->paperType;
    }

    /**
     * @param mixed $paperType
     */
    public function setPaperType($paperType)
    {
        $this->paperType = $paperType;
    }

    /**
     * @return mixed
     */
    public function getModifyFields()
    {
        return $this->modifyFields;
    }

    /**
     * @param mixed $modifyFields
     */
    public function setModifyFields($modifyFields)
    {
        $this->modifyFields = $modifyFields;
    }

    /**
     * @return mixed
     */
    public function getOtherModes()
    {
        return $this->otherModes;
    }

    /**
     * @param mixed $otherModes
     */
    public function setOtherModes($otherModes)
    {
        $this->otherModes = $otherModes;
    }


}