<?php

/**
 * 变更企业信息
 */
class CompanyAuthChangeInfoRequest extends SdkRequest {

    const REQUEST_URL = "/v2/company/changeinfo";

    private $companyName;   // 待认证公司名称
    private $companyId;   // 待认证公司ID
    private $applicant;     // 认证提交人，企业认证通过后，认证提交人会自动成为该企业的系统管理员
    private $registerNo;    // 待认证公司注册号
    private $h5;
    

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyName', $this->companyName);
        $paramSwitcher->addParam('companyId', $this->companyId);
        $paramSwitcher->addParam('applicant', $this->applicant);
        $paramSwitcher->addParam('registerNo', $this->registerNo);
        $paramSwitcher->addParam('h5',$this->h5);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }
    /**
     * @return mixed
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
     * @return mixed
     */
    public function getCompanyId()
    {
        return $this->companyId;
    }

    /**
     * @return mixed
     */
    public function getApplicant()
    {
        return $this->applicant;
    }

    /**
     * @return mixed
     */
    public function getRegisterNo()
    {
        return $this->registerNo;
    }

    /**
     * @return mixed
     */
    public function getH5()
    {
        return $this->h5;
    }

    /**
     * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    /**
     * @param mixed $companyId
     */
    public function setCompanyId($companyId)
    {
        $this->companyId = $companyId;
    }

    /**
     * @param mixed $applicant
     */
    public function setApplicant($applicant)
    {
        $this->applicant = $applicant;
    }

    /**
     * @param mixed $registerNo
     */
    public function setRegisterNo($registerNo)
    {
        $this->registerNo = $registerNo;
    }

    /**
     * @param mixed $h5
     */
    public function setH5($h5)
    {
        $this->h5 = $h5;
    }


}