<?php

/**
 * 获取小程序企业认证页面
 */
class CompanyAuthLicenseMiniappTicketRequest extends SdkRequest {

    const REQUEST_URL = "/companyauth/miniappexchangewithlicense";

    private $companyName;   // 待认证公司名称
    private $registerNo;    // 待认证公司注册号
    private $legalPerson;   // 待认证公司法人姓名
    private $callbackUrl;   // 认证回调地址
    private $platformName;  // 平台名称
    private $closeButton;
    private $license;
    private $applicantInfo;
    private $modifyFields;

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyName', $this->companyName);
        $paramSwitcher->addParam('registerNo', $this->registerNo);
        $paramSwitcher->addParam('legalPerson', $this->legalPerson);
        $paramSwitcher->addParam('platformName', $this->platformName);
        $paramSwitcher->addParam('callbackUrl', $this->callbackUrl);
        $paramSwitcher->addParam('modifyFields', $this->modifyFields);
        if(is_string($this->applicantInfo)) {
            $paramSwitcher->addParam('applicantInfo', $this->applicantInfo);
        } else {
            $paramSwitcher->addParam('applicantInfo', json_encode($this->applicantInfo));
        }
        if($this->license !== null){
            $paramSwitcher->addParam('license', $this->license);
        }
        if($this->closeButton == null){
            $paramSwitcher->addParam('closeButton', true);
        }else{
            $paramSwitcher->addParam('closeButton', $this->closeButton);
        }


        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
     * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    /**
     * @return mixed
     */
    public function getRegisterNo()
    {
        return $this->registerNo;
    }

    /**
     * @param mixed $registerNo
     */
    public function setRegisterNo($registerNo)
    {
        $this->registerNo = $registerNo;
    }

    /**
     * @return mixed
     */
    public function getLegalPerson()
    {
        return $this->legalPerson;
    }

    /**
     * @param mixed $legalPerson
     */
    public function setLegalPerson($legalPerson)
    {
        $this->legalPerson = $legalPerson;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getPlatformName()
    {
        return $this->platformName;
    }

    /**
     * @param mixed $platformName
     */
    public function setPlatformName($platformName)
    {
        $this->platformName = $platformName;
    }

    /**
     * @return mixed
     */
    public function getCloseButton()
    {
        return $this->closeButton;
    }

    /**
     * @param mixed $closeButton
     */
    public function setCloseButton($closeButton)
    {
        $this->closeButton = $closeButton;
    }

    /**
     * @return mixed
     */
    public function getLicense()
    {
        return $this->license;
    }

    /**
     * @param mixed $license
     */
    public function setLicense($license)
    {
        $this->license = $license;
    }

    /**
     * @return mixed
     */
    public function getApplicantInfo()
    {
        return $this->applicantInfo;
    }

    /**
     * @param mixed $applicantInfo
     */
    public function setApplicantInfo($applicantInfo)
    {
        $this->applicantInfo = $applicantInfo;
    }
    /**
     * @return mixed
     */
    public function getModifyFields()
    {
        return $this->modifyFields;
    }

    /**
     * @param mixed $modifyFields
     */
    public function setModifyFields($modifyFields)
    {
        $this->modifyFields = $modifyFields;
    }


}