<?php

/**
 * 获取h5企业认证页面
 */
class CompanyAuthMiniappTicketRequest extends SdkRequest {

    const REQUEST_URL = "/companyauth/miniappexchange";

    private $companyName;   // 待认证公司名称
    private $applicant;     // 认证提交人，企业认证通过后，认证提交人会自动成为该企业的系统管理员
    private $registerNo;    // 待认证公司注册号
    private $legalPerson;   // 待认证公司法人姓名
    private $callbackUrl;   // 认证回调地址
    private $platformName;  // 平台名称
    private $closeButton;
    private $modifyFields;

    /**
     * CompanyAuthH5PageRequest constructor.
     * @param $companyName
     * @param $applicant
     */
    public function __construct($companyName, $applicant) {
        $this->companyName = $companyName;
        $this->applicant = $applicant;
    }


    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyName', $this->companyName);
        $paramSwitcher->addParam('applicant', $this->applicant);
        $paramSwitcher->addParam('registerNo', $this->registerNo);
        $paramSwitcher->addParam('legalPerson', $this->legalPerson);
        $paramSwitcher->addParam('callbackUrl',$this->callbackUrl);
        $paramSwitcher->addParam('platformName',$this->platformName);
        $paramSwitcher->addParam('modifyFields',$this->modifyFields);
        if($this->closeButton == null){
            $paramSwitcher->addParam('closeButton', true);
        }else{
            $paramSwitcher->addParam('closeButton', $this->closeButton);
        }

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
     * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    /**
     * @return mixed
     */
    public function getApplicant()
    {
        return $this->applicant;
    }

    /**
     * @param mixed $applicant
     */
    public function setApplicant($applicant)
    {
        $this->applicant = $applicant;
    }

    /**
     * @return mixed
     */
    public function getRegisterNo()
    {
        return $this->registerNo;
    }

    /**
     * @param mixed $registerNo
     */
    public function setRegisterNo($registerNo)
    {
        $this->registerNo = $registerNo;
    }

    /**
     * @return mixed
     */
    public function getLegalPerson()
    {
        return $this->legalPerson;
    }

    /**
     * @param mixed $legalPerson
     */
    public function setLegalPerson($legalPerson)
    {
        $this->legalPerson = $legalPerson;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getPlatformName()
    {
        return $this->platformName;
    }

    /**
     * @param mixed $platformName
     */
    public function setPlatformName($platformName)
    {
        $this->platformName = $platformName;
    }

    /**
     * @return mixed
     */
    public function getCloseButton()
    {
        return $this->closeButton;
    }

    /**
     * @param mixed $closeButton
     */
    public function setCloseButton($closeButton)
    {
        $this->closeButton = $closeButton;
    }
    /**
     * @return mixed
     */
    public function getModifyFields()
    {
        return $this->modifyFields;
    }

    /**
     * @param mixed $modifyFields
     */
    public function setModifyFields($modifyFields)
    {
        $this->modifyFields = $modifyFields;
    }


}