<?php

class ContractDetailRequest extends SdkRequest {

    const CONTRACT_DETAIL = "/v2/contract/detail";  // 合同详情接口地址

    private $contractId;        // 合同ID
    private $bizId;             // 业务ID
    private $tenantName;        // 子公司名称
    private $queryActionOperator; // 是否需要发起方正在签署人信息
    private $queryLocation; // 是否需要签署方签署位置信息
    private $querySealStats;

    public function getUrl() {
        return self::CONTRACT_DETAIL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId', $this->bizId);
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('queryActionOperator', $this->queryActionOperator);
        $paramSwitcher->addParam('queryLocation', $this->queryLocation);
        $paramSwitcher->addParam('querySealStats', $this->querySealStats);
        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;

    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getQueryActionOperator()
    {
        return $this->queryActionOperator;
    }

    /**
     * @param mixed $queryActionOperator
     */
    public function setQueryActionOperator($queryActionOperator)
    {
        $this->queryActionOperator = $queryActionOperator;
    }

    /**
     * @return mixed
     */
    public function getQueryLocation()
    {
        return $this->queryLocation;
    }

    /**
     * @param mixed $queryLocation
     */
    public function setQueryLocation($queryLocation)
    {
        $this->queryLocation = $queryLocation;
    }
    /**
     * @return mixed
     */
    public function getQuerySealStats()
    {
        return $this->querySealStats;
    }

    /**
     * @param mixed $querySealStats
     */
    public function setQuerySealStats($querySealStats)
    {
        $this->querySealStats = $querySealStats;
    }

}