<?php

class ContractDownloadRequest extends SdkRequest {

    const CONTRACT_DOWNLOAD = "/v2/contract/download";  // 合同下载接口地址

    private $contractId;        // 合同ID
    private $bizId;             // 业务ID
    private $tenantName;        // 子公司名称
    private $downloadItems;
    private $needCompressForOneFile;

    public function getUrl() {
        return self::CONTRACT_DOWNLOAD;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId', $this->bizId);
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('downloadItems', $this->GetDownloadItemString());
        $paramSwitcher->addParam('needCompressForOneFile', $this->needCompressForOneFile);

        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;

    }

    public function GetDownloadItemString()
    {
        if ($this->downloadItems == null || count($this->downloadItems) == 0)
        {
            return null;
        }
        return implode(",", $this->downloadItems);
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getDownloadItems()
    {
        return $this->downloadItems;
    }

    /**
     * @param mixed $downloadItems
     */
    public function setDownloadItems($downloadItems)
    {
        $this->downloadItems = $downloadItems;
    }

    /**
     * @return mixed
     */
    public function getNeedCompressForOneFile()
    {
        return $this->needCompressForOneFile;
    }

    /**
     * @param mixed $needCompressForOneFile
     */
    public function setNeedCompressForOneFile($needCompressForOneFile)
    {
        $this->needCompressForOneFile = $needCompressForOneFile;
    }


}