<?php

/**
 *
 * 自定义文件作废合同类
 *
 */
class ContractInvalidByFileRequest extends SdkRequest {

    const REQUEST_URL = "/v2/contract/invalidbyfile";

    private $invalidInfo;
    private $file;
    private $receivers;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('invalidInfo', json_encode($this->invalidInfo));
        $paramSwitcher->addParam('file', $this->file);
        if(is_string($this->applicantInfo)) {
            $paramSwitcher->addParam('receivers', $this->receivers);
        } else {
            $paramSwitcher->addParam('receivers', json_encode($this->receivers));
        }
        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setParams($paramSwitcher->getParams());
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getInvalidInfo()
    {
        return $this->invalidInfo;
    }

    /**
     * @param mixed $invalidInfo
     */
    public function setInvalidInfo($invalidInfo)
    {
        $this->invalidInfo = $invalidInfo;
    }

    /**
     * @return mixed
     */
    public function getFile()
    {
        return $this->file;
    }

    /**
     * @param mixed $file
     */
    public function setFile($file)
    {
        $this->file = $file;
    }
    /**
     * @return mixed
     */
    public function getReceivers()
    {
        return $this->receivers;
    }

    /**
     * @param mixed $receivers
     */
    public function setReceivers($receivers)
    {
        $this->receivers = $receivers;
    }



}
