<?php

class ContractNoticeRequest extends SdkRequest {

    const NOTICE_URL = "/v2/contract/notice";

    private $contractId;	// 合同ID
    private $bizId;		// 业务ID
    private $tenantName;
    private $signatoryId;	// 签署方ID
    private $onlySigning; // 是否只催签签署中的合同

    public function getUrl() {
        return self::NOTICE_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId', $this->bizId);
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('signatoryId', $this->signatoryId);
        $paramSwitcher->addParam('onlySigning', $this->onlySigning);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getSignatoryId()
    {
        return $this->signatoryId;
    }

    /**
     * @param mixed $signatoryId
     */
    public function setSignatoryId($signatoryId)
    {
        $this->signatoryId = $signatoryId;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }
    /**
     * @return mixed
     */
    public function getOnlySigning()
    {
        return $this->onlySigning;
    }

    /**
     * @param mixed $onlySigning
     */
    public function setOnlySigning($onlySigning)
    {
        $this->onlySigning = $onlySigning;
    }


}