<?php

class ContractPageRequest extends SdkRequest {
    const  PAGE_URL = "/v2/contract/pageurl";

    private $contractId;
    private $bizId;
    private $tenantName;
    private $pageType;
    private $user;
    private $callbackPage;
    private $hideReturnButton;
    private $hideRecallButton;
    private $hideRejectButton;
    private $hideEndButton;
    private $hideStateButton;
    private $allowPasswordSign;
    private $lang;
    private $pageStyle;	// 页面风格

    public function getUrl() {
        return self::PAGE_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId',$this->bizId);
        $paramSwitcher->addParam('tenantName',$this->tenantName);
        $paramSwitcher->addParam('pageType',$this->pageType);
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('callbackPage', $this->callbackPage);
        $paramSwitcher->addParam('hideReturnButton', $this->hideReturnButton);
        $paramSwitcher->addParam('hideRecallButton', $this->hideRecallButton);
        $paramSwitcher->addParam('hideRejectButton', $this->hideRejectButton);
        $paramSwitcher->addParam('hideEndButton', $this->hideEndButton);
        $paramSwitcher->addParam('hideStateButton', $this->hideStateButton);
        $paramSwitcher->addParam('allowPasswordSign', $this->allowPasswordSign);
        $paramSwitcher->addParam('lang', $this->lang);
        $paramSwitcher->addParam('pageStyle', $this->pageStyle);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getCallbackPage()
    {
        return $this->callbackPage;
    }

    /**
     * @param mixed $callbackPage
     */
    public function setCallbackPage($callbackPage)
    {
        $this->callbackPage = $callbackPage;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getPageType()
    {
        return $this->pageType;
    }

    /**
     * @param mixed $pageType
     */
    public function setPageType($pageType)
    {
        $this->pageType = $pageType;
    }

    /**
     * @return mixed
     */
    public function getHideReturnButton()
    {
        return $this->hideReturnButton;
    }

    /**
     * @param mixed $hideReturnButton
     */
    public function setHideReturnButton($hideReturnButton)
    {
        $this->hideReturnButton = $hideReturnButton;
    }
    /**
     * @return mixed
     */
    public function getAllowPasswordSign()
    {
        return $this->allowPasswordSign;
    }

    /**
     * @param mixed $allowPasswordSign
     */
    public function setAllowPasswordSign($allowPasswordSign)
    {
        $this->allowPasswordSign = $allowPasswordSign;
    }
    /**
     * @return mixed
     */
    public function getHideRecallButton()
    {
        return $this->hideRecallButton;
    }

    /**
     * @return mixed
     */
    public function getHideRejectButton()
    {
        return $this->hideRejectButton;
    }

    /**
     * @return mixed
     */
    public function getHideEndButton()
    {
        return $this->hideEndButton;
    }

    /**
     * @return mixed
     */
    public function getHideStateButton()
    {
        return $this->hideStateButton;
    }

    /**
     * @return mixed
     */
    public function getLang()
    {
        return $this->lang;
    }

    /**
     * @param mixed $hideRecallButton
     */
    public function setHideRecallButton($hideRecallButton)
    {
        $this->hideRecallButton = $hideRecallButton;
    }

    /**
     * @param mixed $hideRejectButton
     */
    public function setHideRejectButton($hideRejectButton)
    {
        $this->hideRejectButton = $hideRejectButton;
    }

    /**
     * @param mixed $hideEndButton
     */
    public function setHideEndButton($hideEndButton)
    {
        $this->hideEndButton = $hideEndButton;
    }

    /**
     * @param mixed $hideStateButton
     */
    public function setHideStateButton($hideStateButton)
    {
        $this->hideStateButton = $hideStateButton;
    }

    /**
     * @param mixed $lang
     */
    public function setLang($lang)
    {
        $this->lang = $lang;
    }

    /**
     * @return mixed
     */
    public function getPageStyle()
    {
        return $this->pageStyle;
    }

    /**
     * @param mixed $pageStyle
     */
    public function setPageStyle($pageStyle)
    {
        $this->pageStyle = $pageStyle;
    }





}