<?php

class ContractSignUserRequest extends SdkRequest {

    const COMPANYSIGN_URL = "/v2/contract/personalsign";

    private $contractId;
    private $bizId;
    private $tenantName;
    private $sealId;
    private $stampers;
    private $user;
    private $companySignatory;
    private $locateAllStamperKeywords;

    public function getUrl() {
       return self::COMPANYSIGN_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId', $this->bizId);
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('sealId', $this->sealId);
        $paramSwitcher->addParam('stampers', $this->stampers);
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('companySignatory', $this->companySignatory);
        $paramSwitcher->addParam('locateAllStamperKeywords', $this->locateAllStamperKeywords);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getStampers()
    {
        return $this->stampers;
    }

    /**
     * @param mixed $stampers
     */
    public function setStampers($stampers)
    {
        $this->stampers = $stampers;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getSealId()
    {
        return $this->sealId;
    }

    /**
     * @param mixed $sealId
     */
    public function setSealId($sealId)
    {
        $this->sealId = $sealId;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }
    /**
     * @return mixed
     */
    public function getCompanySignatory()
    {
        return $this->companySignatory;
    }

    /**
     * @return mixed
     */
    public function getLocateAllStamperKeywords()
    {
        return $this->locateAllStamperKeywords;
    }

    /**
     * @param mixed $companySignatory
     */
    public function setCompanySignatory($companySignatory)
    {
        $this->companySignatory = $companySignatory;
    }

    /**
     * @param mixed $locateAllStamperKeywords
     */
    public function setLocateAllStamperKeywords($locateAllStamperKeywords)
    {
        $this->locateAllStamperKeywords = $locateAllStamperKeywords;
    }


}