<?php

class ContractViewPageRequest extends SdkRequest {

    const  VIEW_PAGE_URL = "/v2/contract/viewurl";

    private $contractId;
    private $bizId;
    private $documentId;
    private $tenantName;
    private $lang;
    private $themeColor;		// 页面主题颜色

    public function getUrl() {
        return self::VIEW_PAGE_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId',$this->bizId);
        $paramSwitcher->addParam('documentId',$this->documentId);
        $paramSwitcher->addParam('tenantName',$this->tenantName);
        $paramSwitcher->addParam('lang',$this->lang);
        $paramSwitcher->addParam('themeColor',$this->themeColor);
        $httpParameter = HttpParameter::httpGetParamer();
        $httpParameter->setParams($paramSwitcher->getParams());
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }
    /**
     * @return mixed
     */
    public function getLang()
    {
        return $this->lang;
    }

    /**
     * @param mixed $lang
     */
    public function setLang($lang)
    {
        $this->lang = $lang;
    }

    /**
     * @return mixed
     */
    public function getDocumentId()
    {
        return $this->documentId;
    }

    /**
     * @param mixed $documentId
     */
    public function setDocumentId($documentId)
    {
        $this->documentId = $documentId;
    }

    /**
     * @return mixed
     */
    public function getThemeColor()
    {
        return $this->themeColor;
    }

    /**
     * @param mixed $themeColor
     */
    public function setThemeColor($themeColor)
    {
        $this->themeColor = $themeColor;
    }


}