<?php

class InvalidByFileRequest extends SdkRequest {

    const INVALID_BY_FILE = "/v2/contract/invalidbyfile";  // 自定义文件作废合同

    private $contractId;
    private $bizId;
    private $tenantName;
    private $file;
    private $title;
    private $fileSuffix;
    private $deleteDoc;
    private $invalidReason;
    private $stampers;
    private $locateAllStamperKeywords;

    public function getUrl() {
        return self::INVALID_BY_FILE;
    }

    public function getHttpParamers() {
        $paramMap = ParamSwitcher::instanceParam();
        $paramMap->addParam('contractId', $this->contractId);
        $paramMap->addParam('bizId', $this->bizId);
        $paramMap->addParam('tenantName', $this->tenantName);
        $paramMap->addParam('title', $this->title);
        $paramMap->addParam('fileSuffix', $this->fileSuffix);
        $paramMap->addParam('deleteDoc', $this->deleteDoc);
        $paramMap->addParam('invalidReason', $this->invalidReason);
        $paramMap->addParam('stampers', $this->stampers);
        $paramMap->addParam('locateAllStamperKeywords', $this->locateAllStamperKeywords);

        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam("invalidInfo", json_encode($paramMap->getParams()));
        $paramSwitcher->addParam("file", $this->file);

        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }

    public function getContractId()
    {
        return $this->contractId;
    }

    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    public function getBizId()
    {
        return $this->bizId;
    }

    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    public function getTenantName()
    {
        return $this->tenantName;
    }

    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    public function getFile()
    {
        return $this->file;
    }

    public function setFile($file)
    {
        $this->file = $file;
    }

    public function getTitle()
    {
        return $this->title;
    }

    public function setTitle($title)
    {
        $this->title = $title;
    }

    public function getFileSuffix()
    {
        return $this->fileSuffix;
    }

    public function setFileSuffix($fileSuffix)
    {
        $this->fileSuffix = $fileSuffix;
    }

    public function getDeleteDoc()
    {
        return $this->deleteDoc;
    }

    public function setDeleteDoc($deleteDoc)
    {
        $this->deleteDoc = $deleteDoc;
    }

    public function getInvalidReason()
    {
        return $this->invalidReason;
    }

    public function setInvalidReason($invalidReason)
    {
        $this->invalidReason = $invalidReason;
    }

    public function getStampers()
    {
        return $this->stampers;
    }

    public function setStampers($stampers)
    {
        $this->stampers = $stampers;
    }

    /**
     * @return mixed
     */
    public function getLocateAllStamperKeywords()
    {
        return $this->locateAllStamperKeywords;
    }

    /**
     * @param mixed $locateAllStamperKeywords
     */
    public function setLocateAllStamperKeywords($locateAllStamperKeywords)
    {
        $this->locateAllStamperKeywords = $locateAllStamperKeywords;
    }


}
