<?php

class PersonalSignAuthUrlRequest extends SdkRequest {

    const  VIEW_PAGE_URL = "/v2/personalsign/authurl";

    private $user;
    private $authDeadline;
    private $remark;
    private $callbackUrl;
    private $tenantName;
    private $authMethod;
    private $authInfo;
    private $pageStyle;	// 页面风格
    private $allowPersonalAuto; // 是否允许授权系统自动生成的楷体签名

    public function getUrl() {
        return self::VIEW_PAGE_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('authDeadline',$this->authDeadline);
        $paramSwitcher->addParam('remark',$this->remark);
        $paramSwitcher->addParam('callbackUrl',$this->callbackUrl);
        $paramSwitcher->addParam('tenantName',$this->tenantName);
        $paramSwitcher->addParam('authMethod',$this->authMethod);
        $paramSwitcher->addParam('authInfo',$this->authInfo);
        $paramSwitcher->addParam('pageStyle',$this->pageStyle);
        $paramSwitcher->addParam('allowPersonalAuto',$this->allowPersonalAuto);
        
        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }
    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @return mixed
     */
    public function getAuthDeadline()
    {
        return $this->authDeadline;
    }

    /**
     * @return mixed
     */
    public function getRemark()
    {
        return $this->remark;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @return mixed
     */
    public function getAuthMethod()
    {
        return $this->authMethod;
    }

    /**
     * @return mixed
     */
    public function getAuthInfo()
    {
        return $this->authInfo;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @param mixed $authDeadline
     */
    public function setAuthDeadline($authDeadline)
    {
        $this->authDeadline = $authDeadline;
    }

    /**
     * @param mixed $remark
     */
    public function setRemark($remark)
    {
        $this->remark = $remark;
    }

    /**
     * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @param mixed $authMethod
     */
    public function setAuthMethod($authMethod)
    {
        $this->authMethod = $authMethod;
    }

    /**
     * @param mixed $authInfo
     */
    public function setAuthInfo($authInfo)
    {
        $this->authInfo = $authInfo;
    }

    /**
     * @return mixed
     */
    public function getPageStyle()
    {
        return $this->pageStyle;
    }

    /**
     * @param mixed $pageStyle
     */
    public function setPageStyle($pageStyle)
    {
        $this->pageStyle = $pageStyle;
    }

    /**
     * @return mixed
     */
    public function getAllowPersonalAuto()
    {
        return $this->allowPersonalAuto;
    }

    /**
     * @param mixed $allowPersonalAuto
     */
    public function setAllowPersonalAuto($allowPersonalAuto)
    {
        $this->allowPersonalAuto = $allowPersonalAuto;
    }




}