<?php

class RoleManagementRequest extends SdkRequest {

    const REQUEST_URL = "/v2/role/manage";

    private $role;
    private $operate;
    private $users;
    private $tenantName;


    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('role', $this->role);
        $paramSwitcher->addParam('operate',$this->operate);
        $paramSwitcher->addParam('users',$this->users);
        $paramSwitcher->addParam('tenantName',$this->tenantName);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getRole()
    {
        return $this->role;
    }

    /**
     * @param mixed $role
     */
    public function setRole($role)
    {
        $this->role = $role;
    }

    /**
     * @return mixed
     */
    public function getOperate()
    {
        return $this->operate;
    }

    /**
     * @param mixed $operate
     */
    public function setOperate($operate)
    {
        $this->operate = $operate;
    }

    /**
     * @return mixed
     */
    public function getUsers()
    {
        return $this->users;
    }

    /**
     * @param mixed $users
     */
    public function setUsers($users)
    {
        $this->users = $users;
    }
    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }


}