<?php

class SaaSPersonalSignDeauthRequest extends SdkRequest {

    const  VIEW_PAGE_URL = "/saas/v2/personalsign/authurl";

    private $user;
    private $authDeadline;
    private $remark;
    private $callbackUrl;
    private $company;
    private $appId;
    private $pageStyle;	// 页面风格
    private $allowPersonalAuto; // 是否允许授权系统自动生成的楷体签名

    public function getUrl() {
        return self::VIEW_PAGE_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('authDeadline',$this->authDeadline);
        $paramSwitcher->addParam('remark',$this->remark);
        $paramSwitcher->addParam('callbackUrl',$this->callbackUrl);
        $paramSwitcher->addParam('company',$this->company);
        $paramSwitcher->addParam('appId',$this->appId);
        $paramSwitcher->addParam('pageStyle',$this->pageStyle);
        $paramSwitcher->addParam('allowPersonalAuto',$this->allowPersonalAuto);
        
        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }
    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @return mixed
     */
    public function getAuthDeadline()
    {
        return $this->authDeadline;
    }

    /**
     * @return mixed
     */
    public function getRemark()
    {
        return $this->remark;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getCompany()
    {
        return $this->company;
    }

    /**
     * @return mixed
     */
    public function getAppId()
    {
        return $this->appId;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @param mixed $authDeadline
     */
    public function setAuthDeadline($authDeadline)
    {
        $this->authDeadline = $authDeadline;
    }

    /**
     * @param mixed $remark
     */
    public function setRemark($remark)
    {
        $this->remark = $remark;
    }

    /**
     * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @param mixed $company
     */
    public function setCompany($company)
    {
        $this->company = $company;
    }

    /**
     * @param mixed $appId
     */
    public function setAppId($appId)
    {
        $this->appId = $appId;
    }

    /**
     * @return mixed
     */
    public function getPageStyle()
    {
        return $this->pageStyle;
    }

    /**
     * @param mixed $pageStyle
     */
    public function setPageStyle($pageStyle)
    {
        $this->pageStyle = $pageStyle;
    }

    /**
     * @return mixed
     */
    public function getAllowPersonalAuto()
    {
        return $this->allowPersonalAuto;
    }

    /**
     * @param mixed $allowPersonalAuto
     */
    public function setAllowPersonalAuto($allowPersonalAuto)
    {
        $this->allowPersonalAuto = $allowPersonalAuto;
    }



}