<?php

class SaaSPrivilegeMiniappTicketRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/privilege/miniappexchange";

    private $appId;		// Saas服务商下私有云系统ID
	private $companyId;	//授权企业Id
	private $user;	//操作人信息
	private $createToken;
	private $successUrl;	//授权后跳转页面
	private $callbackUrl;	//token创建成功后回调链接
	private $privilegeModules; // 指定授权模块

    /**
     * @inheritDoc
     */
    function getUrl() {
        return self::REQUEST_URL;
    }

    /**
     * @inheritDoc
     */
    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('appId', $this->appId);
        $paramSwitcher->addParam('companyId', $this->companyId);
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('createToken', $this->createToken);
        $paramSwitcher->addParam('successUrl', $this->successUrl);
        $paramSwitcher->addParam('callbackUrl', $this->callbackUrl);
        $paramSwitcher->addParam('privilegeModules', $this->privilegeModules);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getAppId()
    {
        return $this->appId;
    }

    /**
     * @param mixed $appId
     */
    public function setAppId($appId)
    {
        $this->appId = $appId;
    }

    /**
     * @return mixed
     */
    public function getCompanyId()
    {
        return $this->companyId;
    }

    /**
     * @param mixed $companyId
     */
    public function setCompanyId($companyId)
    {
        $this->companyId = $companyId;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getCreateToken()
    {
        return $this->createToken;
    }

    /**
     * @param mixed $createToken
     */
    public function setCreateToken($createToken)
    {
        $this->createToken = $createToken;
    }

    /**
     * @return mixed
     */
    public function getSuccessUrl()
    {
        return $this->successUrl;
    }

    /**
     * @param mixed $successUrl
     */
    public function setSuccessUrl($successUrl)
    {
        $this->successUrl = $successUrl;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getPrivilegeModules()
    {
        return $this->privilegeModules;
    }

    /**
     * @param mixed $privilegeModules
     */
    public function setPrivilegeModules($privilegeModules)
    {
        $this->privilegeModules = $privilegeModules;
    }

}