<?php

class SaaSSealSignAuthUrlRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/sealsign/authurl";

    private $sealAdmin; // 印章管理员
    private $company;	// 授权印章自动签署的公司
    private $authDeadline;	// 授权截止日期
    private $remark;	// 授权使用范围
    private $callbackUrl;	// 授权回调地址
    private $returnUrl;	// 授权后跳转链接
    private $appId;	// SaaS服务商下私有云系统ID

    function getUrl()
    {
        return self::REQUEST_URL;
    }

    function getHttpParamers()
    {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('sealAdmin', $this->sealAdmin);
        $paramSwitcher->addParam('company', $this->company);
        $paramSwitcher->addParam('authDeadline', $this->authDeadline);
        $paramSwitcher->addParam('remark', $this->remark);
        $paramSwitcher->addParam('callbackUrl', $this->callbackUrl);
        $paramSwitcher->addParam('returnUrl', $this->returnUrl);
        $paramSwitcher->addParam('appId', $this->appId);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getSealAdmin()
    {
        return $this->sealAdmin;
    }

    /**
     * @param mixed $sealAdmin
     */
    public function setSealAdmin($sealAdmin)
    {
        $this->sealAdmin = $sealAdmin;
    }

    /**
     * @return mixed
     */
    public function getCompany()
    {
        return $this->company;
    }

    /**
     * @param mixed $company
     */
    public function setCompany($company)
    {
        $this->company = $company;
    }

    /**
     * @return mixed
     */
    public function getAuthDeadline()
    {
        return $this->authDeadline;
    }

    /**
     * @param mixed $authDeadline
     */
    public function setAuthDeadline($authDeadline)
    {
        $this->authDeadline = $authDeadline;
    }

    /**
     * @return mixed
     */
    public function getRemark()
    {
        return $this->remark;
    }

    /**
     * @param mixed $remark
     */
    public function setRemark($remark)
    {
        $this->remark = $remark;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getReturnUrl()
    {
        return $this->returnUrl;
    }

    /**
     * @param mixed $returnUrl
     */
    public function setReturnUrl($returnUrl)
    {
        $this->returnUrl = $returnUrl;
    }

    /**
     * @return mixed
     */
    public function getAppId()
    {
        return $this->appId;
    }

    /**
     * @param mixed $appId
     */
    public function setAppId($appId)
    {
        $this->appId = $appId;
    }



}
