<?php

class SaaSUserAuthMiniappTicketRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/personalauth/miniappexchange";

    private $mode;
    private $user;
    private $paperType;
    private $username;// 指定用户姓名
    private $idCardNo;// 指定用户身份证号码
    private $bankNo; // 指定银行卡号
    private $bankMobile; // 指定银行卡预留手机号
    private $callbackUrl; // 指定回调地址
    private $otherModes;// 降级处理方案
    private $modifyFields;// 认证可修改项

    function getUrl()
    {
        return self::REQUEST_URL;
    }

    function getHttpParamers()
    {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('mode', $this->mode);
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('paperType', $this->paperType);
        $paramSwitcher->addParam('username', $this->username);
        $paramSwitcher->addParam('idCardNo', $this->idCardNo);
        $paramSwitcher->addParam('bankNo', $this->bankNo);
        $paramSwitcher->addParam('bankMobile', $this->bankMobile);
        $paramSwitcher->addParam('callbackUrl', $this->callbackUrl);
        $paramSwitcher->addParam('otherModes', $this->otherModes);
        $paramSwitcher->addParam('modifyFields', $this->modifyFields);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getMode()
    {
        return $this->mode;
    }

    /**
     * @param mixed $mode
     */
    public function setMode($mode)
    {
        $this->mode = $mode;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getPaperType()
    {
        return $this->paperType;
    }

    /**
     * @param mixed $paperType
     */
    public function setPaperType($paperType)
    {
        $this->paperType = $paperType;
    }

    /**
     * @return mixed
     */
    public function getUsername()
    {
        return $this->username;
    }

    /**
     * @param mixed $username
     */
    public function setUsername($username)
    {
        $this->username = $username;
    }

    /**
     * @return mixed
     */
    public function getIdCardNo()
    {
        return $this->idCardNo;
    }

    /**
     * @param mixed $idCardNo
     */
    public function setIdCardNo($idCardNo)
    {
        $this->idCardNo = $idCardNo;
    }

    /**
     * @return mixed
     */
    public function getBankNo()
    {
        return $this->bankNo;
    }

    /**
     * @param mixed $bankNo
     */
    public function setBankNo($bankNo)
    {
        $this->bankNo = $bankNo;
    }

    /**
     * @return mixed
     */
    public function getBankMobile()
    {
        return $this->bankMobile;
    }

    /**
     * @param mixed $bankMobile
     */
    public function setBankMobile($bankMobile)
    {
        $this->bankMobile = $bankMobile;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getOtherModes()
    {
        return $this->otherModes;
    }

    /**
     * @param mixed $otherModes
     */
    public function setOtherModes($otherModes)
    {
        $this->otherModes = $otherModes;
    }

    /**
     * @return mixed
     */
    public function getModifyFields()
    {
        return $this->modifyFields;
    }

    /**
     * @param mixed $modifyFields
     */
    public function setModifyFields($modifyFields)
    {
        $this->modifyFields = $modifyFields;
    }


}