<?php

class SaasPrivilegeUrlRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/privilege/url";

    private $appId;
	private $companyId;
	private $user;
	private $createToken;
	private $successUrl;
	private $callbackUrl;
	private $privilegeModules;
	private $lang;
    private $pageStyle;	// 页面风格

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('appId', $this->appId);
        $paramSwitcher->addParam('companyId', $this->companyId);
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('createToken',$this->createToken);
        $paramSwitcher->addParam('successUrl',$this->successUrl);
        $paramSwitcher->addParam('callbackUrl',$this->callbackUrl);
        $paramSwitcher->addParam('privilegeModules',$this->privilegeModules);
        $paramSwitcher->addParam('lang',$this->lang);
        $paramSwitcher->addParam('pageStyle',$this->pageStyle);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getAppId()
    {
        return $this->appId;
    }

    /**
    * @param mixed $appId
     */
    public function setAppId($appId)
    {
        $this->appId = $appId;
    }

    /**
     * @return mixed
     */
    public function getCompanyId()
    {
    	return $this->companyId;
    }

    /**
    * @param mixed $companyId
     */
    public function setCompanyId($companyId)
    {
    	$this->companyId = $companyId;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
    	return $this->user;
    }

    /**
    * @param mixed $user
     */
    public function setUser($user)
    {
    	$this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getCreateToken()
    {
    	return $this->createToken;
    }

    /**
    * @param mixed $createToken
     */
    public function setCreateToken($createToken)
    {
    	$this->createToken = $createToken;
    }

    /**
     * @return mixed
     */
    public function getSuccessUrl()
    {
    	return $this->successUrl;
    }

    /**
    * @param mixed $successUrl
     */
    public function setSuccessUrl($successUrl)
    {
    	$this->successUrl = $successUrl;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
    	return $this->callbackUrl;
    }

    /**
    * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
    	$this->callbackUrl = $callbackUrl;
    }
    
    /**
     * @return mixed
     */
    public function getPrivilegeModules()
    {
        return $this->privilegeModules;
    }
    
    /**
     * @param mixed $privilegeModules
     */
    public function setPrivilegeModules($privilegeModules)
    {
        $this->privilegeModules = $privilegeModules;
    }
    /**
     * @return mixed
     */
    public function getLang()
    {
        return $this->lang;
    }

    /**
     * @param mixed $lang
     */
    public function setLang($lang)
    {
        $this->lang = $lang;
    }

    /**
     * @return mixed
     */
    public function getPageStyle()
    {
        return $this->pageStyle;
    }

    /**
     * @param mixed $pageStyle
     */
    public function setPageStyle($pageStyle)
    {
        $this->pageStyle = $pageStyle;
    }



}