<?php

class UserAuthPageRequest extends SdkRequest {

    const REQUEST_URL = "/v2/personalauth";

    private $userAuth;
    private $mode;          // 认证模式
    private $user;          // 用户信息
    private $username;      // 指定用户姓名
    private $idCardNo;      // 指定用户身份证号码
    private $bankNo;        // 指定银行卡号
    private $bankMobile;    // 指定银行卡预留手机号
    private $callbackUrl;   // 指定回调地址
    private $callbackPage;  // 跳转地址
    private $manualSwitch;  // 人工审核开关
    private $paperType;
    private $otherModes;    // 降级认证方式可选项
    private $modifyFields;  //认证可修改项
    private $lang;
    private $pageStyle;	    // 页面风格

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        if($this->userAuth !== null){
            $httpParameters = HttpParameter::httpPostParamer();
            $httpParameters->setJsonParams(json_encode($this->userAuth));
            return $httpParameters;
        }
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('mode', $this->mode);
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('username', $this->username);
        $paramSwitcher->addParam('idCardNo', $this->idCardNo);
        $paramSwitcher->addParam('bankNo', $this->bankNo);
        $paramSwitcher->addParam('bankMobile', $this->bankMobile);
        $paramSwitcher->addParam('callbackUrl', $this->callbackUrl);
        $paramSwitcher->addParam('callbackPage', $this->callbackPage);
        $paramSwitcher->addParam('manualSwitch', $this->manualSwitch);
        $paramSwitcher->addParam('paperType', $this->paperType);
        $paramSwitcher->addParam('otherModes', $this->otherModes);
        $paramSwitcher->addParam('modifyFields', $this->modifyFields);
        $paramSwitcher->addParam('lang', $this->lang);
        $paramSwitcher->addParam('pageStyle', $this->pageStyle);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;

    }

    /**
     * @return mixed
     */
    public function getUserAuth()
    {
        return $this->userAuth;
    }

    /**
     * @param mixed $userAuth
     */
    public function setUserAuth($userAuth)
    {
        $this->userAuth = $userAuth;
    }

    /**
     * @return mixed
     */
    public function getMode()
    {
        return $this->mode;
    }

    /**
     * @param mixed $mode
     */
    public function setMode($mode)
    {
        $this->mode = $mode;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $mode
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getUsername()
    {
        return $this->username;
    }

    /**
     * @param mixed $mode
     */
    public function setUsername($username)
    {
        $this->username = $username;
    }

    /**
     * @return mixed
     */
    public function getIdCardNo()
    {
        return $this->idCardNo;
    }

    /**
     * @param mixed $mode
     */
    public function setIdCardNo($idCardNo)
    {
        $this->idCardNo = $idCardNo;
    }

    /**
     * @return mixed
     */
    public function getBankNo()
    {
        return $this->bankNo;
    }

    /**
     * @param mixed $mode
     */
    public function setBankNo($bankNo)
    {
        $this->bankNo = $bankNo;
    }

    /**
     * @return mixed
     */
    public function getBankMobile()
    {
        return $this->bankMobile;
    }

    /**
     * @param mixed $mode
     */
    public function setBankMobile($bankMobile)
    {
        $this->bankMobile = $bankMobile;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @param mixed $mode
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getCallbackPage()
    {
        return $this->callbackPage;
    }

    /**
     * @param mixed $mode
     */
    public function setCallbackPage($callbackPage)
    {
        $this->callbackPage = $callbackPage;
    }

    /**
     * @return mixed
     */
    public function getManualSwitch()
    {
        return $this->manualSwitch;
    }

    /**
     * @param mixed $mode
     */
    public function setManualSwitch($manualSwitch)
    {
        $this->manualSwitch = $manualSwitch;
    }

    /**
     * @return mixed
     */
    public function getPaperType()
    {
        return $this->paperType;
    }

    /**
     * @param mixed $paperType
     */
    public function setPaperType($paperType)
    {
        $this->paperType = $paperType;
    }

    /**
     * @return mixed
     */
    public function getOtherModes()
    {
        return $this->otherModes;
    }

    /**
     * @param mixed $otherModes
     */
    public function setOtherModes($otherModes)
    {
        $this->otherModes = $otherModes;
    }

    /**
     * @return mixed
     */
    public function getModifyFields()
    {
        return $this->modifyFields;
    }

    /**
     * @param mixed $modifyFields
     */
    public function setModifyFields($modifyFields)
    {
        $this->modifyFields = $modifyFields;
    }
    /**
     * @return mixed
     */
    public function getLang()
    {
        return $this->lang;
    }

    /**
     * @param mixed $lang
     */
    public function setLang($lang)
    {
        $this->lang = $lang;
    }

    /**
     * @return mixed
     */
    public function getPageStyle()
    {
        return $this->pageStyle;
    }

    /**
     * @param mixed $pageStyle
     */
    public function setPageStyle($pageStyle)
    {
        $this->pageStyle = $pageStyle;
    }


}