<?php

class UserAuthResultRequest extends SdkRequest {

    const REQUEST_URL = "/v2/personalauth/result";

    private $contact;           // 认证用户联系方式
    private $contactType;       // 认证用户联系方式类型
    private $authId;            // 认证Id
    private $user;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        if($this->user == null){
            $paramSwitcher->addParam('contact', $this->contact);
            $paramSwitcher->addParam('contactType', $this->contactType);
        }else{
            $paramSwitcher->addParam('contact', $this->user->getContact());
            $paramSwitcher->addParam('contactType', $this->user->getContactType());
        }
        $paramSwitcher->addParam('authId', $this->authId);
        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getContact()
    {
        return $this->contact;
    }

    /**
     * @param mixed $contact
     */
    public function setContact($contact)
    {
        $this->contact = $contact;
    }

    /**
     * @return mixed
     */
    public function getContactType()
    {
        return $this->contactType;
    }

    /**
     * @param mixed $contactType
     */
    public function setContactType($contactType)
    {
        $this->contactType = $contactType;
    }

    /**
     * @return mixed
     */
    public function getAuthId()
    {
        return $this->authId;
    }

    /**
     * @param mixed $authId
     */
    public function setAuthId($authId)
    {
        $this->authId = $authId;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

}