<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * 企业认证服务示例
     */
    require_once(dirname(__FILE__).'/'.'../Util.php');

    $sdkClient = Util::getSDk();

//    h5AuthUrl($sdkClient);

//    pcAuthUrl($sdkClient);

//    authResutl($sdkClient);

//    h5AuthUrlWithLicense($sdkClient);

//    companyAuthMiniappTicke($sdkClient);

    companyAuthLicenseMiniappTicketRequest($sdkClient);

    /**
     * H5企业认证链接示例
     * @param $sdkClient
     * @return mixed
     */
    function h5AuthUrl(SDKClient $sdkClient){
        $companyName = '企业认证链接';
        // 认证提交人信息
        $user = new User();
        $user->setName('吉哲');
        $user->setContact('18435186216');
        $user->setContactType('MOBILE');
        $applicant = $user;

        $baseRequest = new CompanyAuthH5PageRequest($companyName, $applicant);
        $baseRequest->setRegisterNo('1001001001');
        $baseRequest->setLegalPerson('吉哲');
        $baseRequest->setCallbackUrl('http://www.baidu.com');

        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    /**
     * PC企业认证链接示例
     * @param $sdkClient
     * @return mixed
     */
    function pcAuthUrl(SDKClient $sdkClient){
        $companyName = '企业认证链接';
        // 认证提交人信息
        $user = new User();
        $user->setName('吉哲');
        $user->setContact('18435186216');
        $user->setContactType('MOBILE');
        $applicant = $user;

        $baseRequest = new CompanyAuthPcPageRequest($companyName, $applicant);
        $baseRequest->setRegisterNo('1001001001');
        $baseRequest->setLegalPerson('吉哲');
        $baseRequest->setCallbackUrl('http://www.baidu.com');

        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    /**
     * 企业认证结果查询
     * @param SDKClient $sdkClient
     */
    function authResutl(SDKClient $sdkClient){
        $baseRequest = new CompanyAuthResultRequest();
        $baseRequest->setCompanyName('思晨教育');
        $baseRequest->setRequestId('69cca0f6-a247-4d64-8de3-aac343690a25');
        $result = $sdkClient->service($baseRequest);
        print_r($result);
    }

    /**
     * H5企业认证链接（可以上传营业执照）示例
     * @param $sdkClient
     * @return mixed
     */
    function h5AuthUrlWithLicense(SDKClient $sdkClient){
        // 认证提交人信息
        $user = new User();
        $user->setName('吉*哲');
        $user->setContact('184***216');
        $user->setContactType('MOBILE');

        $baseRequest = new CompanyAuthLicenseH5PageRequest();
        $baseRequest->setApplicantInfo($user);
        $baseRequest->setCompanyName('企业认证链接带营业执照1234');
        $baseRequest->setRegisterNo('1561325143561');
        $baseRequest->setLegalPerson('胡*坤');
        $baseRequest->setCallbackUrl('http://www.baidu.com');
        $file_path = "D:\license.png";
        $file_path = iconv("UTF-8", "GBK", realpath($file_path));
        $file = new \CURLFile($file_path);
        $file->setPostFilename("测试营业执照");
        //$file->setPostFilename("测试合同");
        $baseRequest->setLicense($file);

        print_r($baseRequest->getHttpParamers());

        $result = $sdkClient->service($baseRequest);
        print_r($result);
//        return $result;
    }


    /**
     * 小程序获取企业认证令牌
     * @param $sdkClient
     * @return mixed
     */
    function companyAuthMiniappTicke(SDKClient $sdkClient){
        $companyName = '企业认证链接';
        // 认证提交人信息
        $user = new User();
        $user->setName('胡震坤');
        $user->setContact('15164046497');
        $user->setContactType('MOBILE');
        $applicant = $user;

        $baseRequest = new CompanyAuthMiniappTicketRequest($companyName, $applicant);
        $baseRequest->setRegisterNo('1001001001');
        $baseRequest->setLegalPerson('胡震坤');
        $baseRequest->setCallbackUrl('http://www.baidu.com');

        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    /**
     * 小程序获取企业认证令牌
     * @param $sdkClient
     * @return mixed
     */
    function companyAuthLicenseMiniappTicketRequest(SDKClient $sdkClient){
        $companyName = '企业认证链接1';

        $user = new User();
        $user->setName('吉*哲');
        $user->setContact('184***216');
        $user->setContactType('MOBILE');

        $baseRequest = new CompanyAuthLicenseMiniappTicketRequest();
        $baseRequest->setCompanyName($companyName);
        $baseRequest->setRegisterNo('1001001001001001');
        $baseRequest->setLegalPerson('胡八一');
        $baseRequest->setCallbackUrl('http://www.baidu.com');
        $baseRequest->setApplicantInfo($user);

        $file_path = "D:\license.png";
        $file_path = iconv("UTF-8", "GBK", realpath($file_path));
        $file = new \CURLFile($file_path);
        $file->setPostFilename("测试营业执照");
        $baseRequest->setLicense($file);

        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }