<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * 合同签署服务示例
     */
    require_once(dirname(__FILE__) . '/' . '../Util.php');

    $sdkClient = Util::getSDk();

    //invalidByFile($sdkClient);
    invalidByTemplate($sdkClient);

    /**
     * 自定义文件作废合同
     * @param $sdkClient
     * @return mixed
     */
    function invalidByFile(SDKClient $sdkClient){
        $invalidByFileRequest = new InvalidByFileRequest();
        $invalidByFileRequest->setContractId(2732900596483494069);
        $invalidByFileRequest->setFileSuffix("docx");
        $invalidByFileRequest->setTitle("自定义作废文件");

        $file_path = "C:\Users\Administrator\Desktop\空白的word.docx";
        $file_path = iconv("UTF-8", "GBK", realpath($file_path));
        $file = new \CURLFile($file_path);
        $invalidByFileRequest->setFile($file);

        $stampers = array();
        $stamper1 = new Stamper();
        $stamper1->setSignatoryId(2732900597506904247);
        $stamper1->setType("COMPANY");
        $stamper1->setOffsetX(0.5);
        $stamper1->setOffsetY(0.5);
        $stamper1->setPage(1);
        array_push($stampers, $stamper1);

        $stamper2 = new Stamper();
        $stamper2->setSignatoryId(2732900597657899193);
        $stamper2->setType("PERSONAL");
        $stamper2->setOffsetX(0.6);
        $stamper2->setOffsetY(0.6);
        $stamper2->setPage(1);
        array_push($stampers, $stamper2);
        $invalidByFileRequest->setStampers($stampers);


        $result = $sdkClient->service($invalidByFileRequest);
        print_r($result);
        return $result;
    }

    /**
     * 自定义文件作废合同
     * @param $sdkClient
     * @return mixed
     */
    function invalidByTemplate(SDKClient $sdkClient){
        $invalidByTemplateRequest = new InvalidByTemplateRequest();
        $invalidByTemplateRequest->setContractId(2732916331721871494);
        $invalidByTemplateRequest->setTitle("自定义作废文件");
        $invalidByTemplateRequest->setTemplateId(2641548684939407435);

        $templateParams = array();
        $templateParam = new TemplateParam();
        $templateParam->setName("param1");
        $templateParam->setValue("123654");
        array_push($templateParams, $templateParam);
        $invalidByTemplateRequest->setTemplateParams($templateParams);

        $stampers = array();
        $stamper1 = new Stamper();
        $stamper1->setSignatoryId(2732916332569120904);
        $stamper1->setType("COMPANY");
        $stamper1->setOffsetX(0.5);
        $stamper1->setOffsetY(0.5);
        $stamper1->setPage(1);
        array_push($stampers, $stamper1);

        $stamper2 = new Stamper();
        $stamper2->setSignatoryId(2732916332728504458);
        $stamper2->setType("PERSONAL");
        $stamper2->setOffsetX(0.6);
        $stamper2->setOffsetY(0.6);
        $stamper2->setPage(1);
        array_push($stampers, $stamper2);
        $invalidByTemplateRequest->setStampers($stampers);

        $result = $sdkClient->service($invalidByTemplateRequest);
        print_r($result);
        return $result;
    }



