<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * 合同签署服务示例
     */
    require_once(dirname(__FILE__) . '/' . '../Util.php');

    $sdkClient = Util::getSDk();

//    testContractAudit($sdkClient);

//    testCompanysign($sdkClient);

    testUserSign($sdkClient);
    
//    testLpSign($sdkClient);

//    testContractPage($sdkClient);

//    testContractViewPage($sdkClient);

//    testContractShortUrl($sdkClient);
//    testContractAppointPage($sdkClient);

//     testContractMiniappTicketRequest($sdkClient);

//    testContractSignCompanyRequest($sdkClient);
//    testContractSignLpRequest($sdkClient);
    
//     testContractInvalidSign($sdkClient);

    /**
     * 审批合同
     * @param $sdkClient
     * @return mixed
     */
    function testContractAudit(SDKClient $sdkClient){
        $contractAuditRequest = new ContractAuditRequest();
        $contractAuditRequest->setContractId('2591901769294914279');

        $contractAuditRequest->setPass(true);
        $contractAuditRequest->setComment('同意');
        $result = $sdkClient->service($contractAuditRequest);
        print_r($result);
        return $result;
    }

    /**
     * 公司公章签署
     * @param $sdkClient
     * @return mixed
     */
    function testCompanysign(SDKClient $sdkClient){
        $contractCompanySignRequest = new ContractCompanySignRequest();
        $contractCompanySignRequest->setContractId('2590804900506210559');
        $contractCompanySignRequest->setBizId("123456");
        /**公章签署**/
        $stamper1 = new Stamper();
        $stamper1->setType('COMPANY');
        $stamper1->setDocumentId('2590805031263637783');
        $stamper1->setSealId('2555244623418466517');
        $stamper1->setKeyword('劳动');
        $stamper1->setKeywordIndex('2');
        $stamper1->setOffsetX('0.2');
        $stamper1->setOffsetY('-0.2');
        /**时间戳签署**/
        $stamper2 = new Stamper();
        $stamper2->setType('TIMESTAMP');
        $stamper2->setDocumentId('2590805031263637783');
        $stamper2->setSealId('2555244623418466517');
        $stamper2->setPage('1');
        $stamper2->setOffsetX('0.5');
        $stamper2->setOffsetY('0.5');
        /**骑缝章签署**/
        $stamper3 = new Stamper();
        $stamper3->setType('ACROSS_PAGE');
        $stamper3->setDocumentId('2590805031263637783');
        $stamper3->setSealId('2555244623418466517');
        $stamper3->setOffsetY('0.5');
        $stampers = array();
        array_push($stampers, $stamper1);
        array_push($stampers, $stamper2);
        array_push($stampers, $stamper3);
        $contractCompanySignRequest->setStampers($stampers);
        $result = $sdkClient->service($contractCompanySignRequest);
        print_r($result);
        return $result;
    }
    
    /**
     * 个人签署
     * @param $sdkClient
     * @return mixed
     */
    function testUserSign(SDKClient $sdkClient){
        $contractSignUserRequest = new ContractSignUserRequest();
        $contractSignUserRequest->setContractId('2835804829027205902');
        /**个人签名**/
        $stamper1 = new Stamper();
        $stamper1->setType('PERSONAL');
        $stamper1->setDocumentId('2835804828452586242');
        $stamper1->setPage(1);
        $stamper1->setOffsetX('0.2');
        $stamper1->setOffsetY('0.2');
        /**时间戳签署**/
        $stamper2 = new Stamper();
        $stamper2->setType('TIMESTAMP');
        $stamper2->setDocumentId('2835804828452586242');
        $stamper2->setPage('1');
        $stamper2->setOffsetX('0.5');
        $stamper2->setOffsetY('0.5');
        $stampers = array();
        array_push($stampers, $stamper1);
        array_push($stampers, $stamper2);
        $contractSignUserRequest->setStampers($stampers);
        /**设置用户**/
        $user = new User();
        $user->setContactType("MOBILE");
        $user->setContact("136****0280");
        $contractSignUserRequest->setUser($user);
        $result = $sdkClient->service($contractSignUserRequest);
        print_r($result);
        return $result;
    }

    /**
     * 法人签署
     * @param SDKClient $sdkClient
     * @return mixed|null|string
     */
    function testLpSign(SDKClient $sdkClient){
        $contractLpSignRequest = new ContractLpSignRequest();
        $contractLpSignRequest->setContractId('2590804900506210559');
        $contractLpSignRequest->setBizId("1111111");
        /**关键字定位**/
        $stamper1 = new Stamper();
        $stamper1->setType('LP');
        $stamper1->setDocumentId('2590805031263637783');
        $stamper1->setKeyword('劳动');
        $stamper1->setKeywordIndex('2');
        $stamper1->setOffsetX('0.1');
        $stamper1->setOffsetY('-0.1');
        /**坐标定位**/
        $stamper2 = new Stamper();
        $stamper2->setType('LP');
        $stamper2->setDocumentId('2590805031263637783');
        $stamper2->setPage('1');
        $stamper2->setOffsetX('0.5');
        $stamper2->setOffsetY('0.5');

        $stampers = array();
        array_push($stampers, $stamper1);
        array_push($stampers, $stamper2);

        $contractLpSignRequest->setStampers($stampers);
        $result = $sdkClient->service($contractLpSignRequest);
        print_r($result);
        return $result;
    }

    /**
     * 合同签署页面
     * @param SDKClient $sdkClient
     * @return mixed|null|string
     */
    function testContractPage(SDKClient $sdkClient){
        $contractPageRequest = new ContractPageRequest();
        $contractPageRequest->setContractId('2645537267699736860');
        $contractPageRequest->setBizId("123456789");

        $user = new User();
        $user->setContact("18435186216");
        $user->setContactType("MOBILE");

        $contractPageRequest->setUser($user);
        $result = $sdkClient->service($contractPageRequest);
        print_r($result);
        return $result;
    }

    /**
     * @param SDKClient $sdkClient
     */
    function testContractViewPage(SDKClient $sdkClient){
        $contractViewPageRequest = new ContractViewPageRequest();
        $contractViewPageRequest->setContractId('2603483913195966624');
        $contractViewPageRequest->setBizId('12345678');
        $result = $sdkClient->service($contractViewPageRequest);
        print_r($result);
    }

    /**
     * 获取合同短连接
     * @param SDKClient $sdkClient
     */
    function testContractShortUrl(SDKClient $sdkClient){
        $baseRequest = new ContractShorturlRequest();
        $baseRequest->setContractId('2632872573588914179');
        $result = $sdkClient->service($baseRequest);
        print_r($result);
    }

    /**
     * 签署作废合同
     * @param SDKClient $sdkClient
     */
    function testContractInvalidSign(SDKClient $sdkClient){
        $baseRequest = new ContractSignInvalidRequest();
        $baseRequest->setContractId(2655321053530743057);
        $baseRequest->setTenantName('思晨教育');
        $baseRequest->setSealId(2646677126589379184);
        $result = $sdkClient->service($baseRequest);
        print_r($result);
    }

    /**
     * 合同预签署页面
     * @param SDKClient $sdkClient
     * @return mixed|null|string
     */
    function testContractAppointPage(SDKClient $sdkClient){
        $contractAppointPageRequest = new ContractAppointPageRequest();
        $contractAppointPageRequest->setContractId('2773482785659560106');

        $result = $sdkClient->service($contractAppointPageRequest);
        print_r($result);
        return $result;
    }

    /**
     * 获取小程序的ticket
     * @param SDKClient $sdkClient
     * @return mixed|null|string
     */
    function testContractMiniappTicketRequest(SDKClient $sdkClient){
        $contractMiniappTicketRequest = new ContractMiniappTicketRequest();
        $contractMiniappTicketRequest->setContractId('2773496280123842920');

        $user = new User();
        $user->setContact("15164046497");
        $user->setContactType("MOBILE");
        $contractMiniappTicketRequest->setUser($user);

        $result = $sdkClient->service($contractMiniappTicketRequest);
        print_r($result);
        return $result;
    }

    /**
     * 签署公章
     * @param SDKClient $sdkClient
     * @return mixed|null|string
     */
    function testContractSignCompanyRequest(SDKClient $sdkClient){
        $contractCompanySignRequest = new ContractCompanySignRequest();
        $contractCompanySignRequest->setContractId('2590758386643734529');
        $contractCompanySignRequest->setBizId("1111111");
        /**公章签署 */
        $stamper1 = new Stamper();
        $stamper1->setType('COMPANY');
        $stamper1->setDocumentId('2590764888637018192');
        $stamper1->setSealId('2555244623418466517');
        $stamper1->setKeyword('劳动');
        $stamper1->setKeywordIndex('2');
        $stamper1->setOffsetX('0.2');
        $stamper1->setOffsetY('-0.2');
        /**时间戳签署 */
        $stamper2 = new Stamper();
        $stamper2->setType('TIMESTAMP');
        $stamper2->setDocumentId('2590764888637018192');
        $stamper2->setPage('1');
        $stamper2->setOffsetX('0.5');
        $stamper2->setOffsetY('0.5');
        /**骑缝章签署*/
        $stamper3 = new Stamper();
        $stamper3->setType('ACROSS_PAGE');
        $stamper3->setDocumentId('2590764888637018192');
        $stamper3->setSealId('2555244623418466517');
        $stamper3->setOffsetY('0.5');
        $stampers = array();
        array_push($stampers, $stamper1);
        array_push($stampers, $stamper2);
        $contractCompanySignRequest->setStampers($stampers);
        $result = $sdkClient->service($contractCompanySignRequest);
        print_r($result);
        return $result;
    }

  /**
     * 签署法人章
     * @param SDKClient $sdkClient
     * @return mixed|null|string
     */
    function testContractSignLpRequest(SDKClient $sdkClient){
        $contractLpSignRequest = new ContractLpSignRequest();
        $contractLpSignRequest->setContractId('2590804900506210559');
        $contractLpSignRequest->setBizId("1111111");
        /**关键字定位*/
        $stamper1 = new Stamper();
        $stamper1->setType('LP');
        $stamper1->setDocumentId('2590805031263637783');
        $stamper1->setKeyword('劳动');
        $stamper1->setKeywordIndex('2');
        $stamper1->setOffsetX('0.1');
        $stamper1->setOffsetY('-0.1');
        /**坐标定位*/
        $stamper2 = new Stamper();
        $stamper2->setType('LP');
        $stamper2->setDocumentId('2590805031263637783');
        $stamper2->setPage('1');
        $stamper2->setOffsetX('0.5');
        $stamper2->setOffsetY('0.5');
        $stampers = array();
        array_push($stampers, $stamper1);
        array_push($stampers, $stamper2);
        $contractLpSignRequest->setStampers($stampers);
        $result = $sdkClient->service($contractLpSignRequest);
        print_r($result);
        return $result;
    }
