<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * 合同接口测试
     */
    require_once(dirname(__FILE__) . '/' . '../Util.php');

    $sdkClient = Util::getSDk();

//    testContractDownload($sdkClient);

    testDocumentDownload($sdkClient);

//    testAttachmentDownload($sdkClient);


    /**
     * 合同下载(返回文件流)
     * @param SDKClient $sdkClient
     * @return
     */
    function testContractDownload(SDKClient $sdkClient){
        $filePath = "D:/contract-php-test.zip";
        $contractDownloadRequest = new ContractDownloadRequest();
        $contractDownloadRequest->setContractId('2590804900506210559');
        $contractDownloadRequest->setBizId('123456789');
        $result = $sdkClient->service($contractDownloadRequest);
        //判断是否返回文件流
        $array_output = json_decode($result, true);
        if(is_array($array_output) && array_key_exists("code",$array_output) && $array_output['code']!==0){
            return array(
                "code" => $array_output['code'],
                "message" => $array_output['message']
            );
        }
        //对文件名的编码，避免中文文件名乱码
        $destination = iconv("UTF-8", "GBK", $filePath);
        $file = fopen($destination,"w+");
        $answer = fputs($file,$result);//写入文件
        fclose($file);
        if($answer===false){
            return array(
                "code" => 1001,
                "message" => '下载文件失败'
            );
        }else{
            return array(
                "code" => 0,
                "message" => '下载文件完成,字节数:'.$answer
            );
        }
    }

    /**
     * 文档下载
     * @param SDKClient $sdkClient
     */
    function testDocumentDownload(SDKClient $sdkClient){
        $filePath = "/Users/songguofeng/develop/file/phpContractFile.pdf";
        $documentDownloadRequest = new DocumentDownloadRequest('2817961216983925698');
        $result = $sdkClient->downloadService($documentDownloadRequest, $filePath);
        print_r($result);
    }

    /**
     * 下载附件
     * @param SDKClient $sdkClient
     */
    function testAttachmentDownload(SDKClient $sdkClient){
        $filePath = "D:/attachment-php-test.zip";
        $attachmentDownloadRequest = new AttachmentDownloadRequest();
        $attachmentDownloadRequest->setContractId('2590804900506210559');
        $attachmentDownloadRequest->setBizId('123456789');
        $result = $sdkClient->downloadService($attachmentDownloadRequest, $filePath);
        print_r($result);
    }

